Subject: Re: [PATCH][XFRM] Optimize policy dumping

From: jamal <[email-masked]>
Date: Mon, 04 Dec 2006 09:11:09 -0500

On Mon, 2006-04-12 at 15:06 +0100, Patrick McHardy wrote:

> Both ways are fine I guess. But the counting has almost no
> overhead with the patch I sent, so I'm not sure if its worth
> adding a callback (which still needs to get the last policy/SA
> as argument, so that part won't get any nicer).
> 
> BTW, I'm not sure whether there are further requirements than
> those you quoted, but according to that text, using 1 for
> all but the last message would be fine as well :)
> 

The only arguement for the callback is it will lead to eventually
having some semi-reliable dump for pfkey. But i think that is a separate
issue to be tackled later.
I am actually scratching my head a little as to what happens when the
pfkey socket recv is full.

cheers,
jamal